| Kinetis SDK API Reference Manual 1.0.0-beta Freescale Semiconductor, Inc.

- Introduction
- Related Pages
- API Usage

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Structures | Enumerations
LPUART Types Definitions
Low Power Universal Asynchronous Receiver/Transmitter (LPUART)

The section describes the LPUART type definitions. More...

## Data Structures
struct | lpuart_user_config_t
| LPUART configuration structure for user. More...

## Enumerations
enum | _lpuart_errors { kStatus_LPUART_BaudRateCalculationError = 1, kStatus_LPUART_BaudRatePercentDiffExceeded, kStatus_LPUART_BitCountNotSupported, kStatus_LPUART_StopBitCountNotSupported, kStatus_LPUART_RxStandbyModeError, kStatus_LPUART_ClearStatusFlagError, kStatus_LPUART_MSBFirstNotSupported, kStatus_LPUART_Resync_NotSupported, kStatus_LPUART_TxNotDisabled, kStatus_LPUART_RxNotDisabled, kStatus_LPUART_TxOrRxNotDisabled, kStatus_LPUART_TxBusy, kStatus_LPUART_RxBusy, kStatus_LPUART_NoTransmitInProgress, kStatus_LPUART_NoReceiveInProgress, kStatus_LPUART_InvalidInstanceNumber, kStatus_LPUART_InvalidBitSetting, kStatus_LPUART_OverSamplingNotSupported, kStatus_LPUART_BothEdgeNotSupported, kStatus_LPUART_Timeout }
| Error codes for the LPUART driver. More...
enum | lpuart_stop_bit_count_t { kLpuartOneStopBit = 0, kLpuartTwoStopBit = 1 }
| LPUART number of stop bits. More...
enum | lpuart_parity_mode_t { kLpuartParityDisabled = 0x0, kLpuartParityEven = 0x2, kLpuartParityOdd = 0x3 }
| LPUART parity mode. More...
enum | lpuart_bit_count_per_char_t { kLpuart8BitsPerChar = 0, kLpuart9BitsPerChar = 1, kLpuart10BitsPerChar = 2 }
| LPUART number of bits in a character. More...

## Data Structure Documentation

struct lpuart_user_config_t

### Data Fields
uint32_t | baudRate
| LPUART baud rate.
lpuart_parity_mode_t | parityMode
| parity mode, disabled (default), even, odd
lpuart_stop_bit_count_t | stopBitCount
| number of stop bits, 1 stop bit (default)
lpuart_bit_count_per_char_t | bitCountPerChar
| or 2 stop bits More...

#### Field Documentation

lpuart_bit_count_per_char_t lpuart_user_config_t::bitCountPerChar

number of bits, 8-bit (default) or 9-bit in

## Enumeration Type Documentation

enum _lpuart_errors

Enumerator
kStatus_LPUART_BaudRateCalculationError | LPUART Baud Rate calculation error out of range.
kStatus_LPUART_BaudRatePercentDiffExceeded | LPUART Baud Rate exceeds percentage difference.
kStatus_LPUART_BitCountNotSupported | LPUART bit count config not supported.
kStatus_LPUART_StopBitCountNotSupported | LPUART stop bit count config not supported.
kStatus_LPUART_RxStandbyModeError | LPUART unable to place receiver in standby mode.
kStatus_LPUART_ClearStatusFlagError | LPUART clear status flag error.
kStatus_LPUART_MSBFirstNotSupported | LPUART MSB first feature not supported.
kStatus_LPUART_Resync_NotSupported | LPUART resync disable operation not supported.
kStatus_LPUART_TxNotDisabled | LPUART Transmitter not disabled before enabling feature.
kStatus_LPUART_RxNotDisabled | LPUART Receiver not disabled before enabling feature.
kStatus_LPUART_TxOrRxNotDisabled | LPUART Transmitter or Receiver not disabled.
kStatus_LPUART_TxBusy | LPUART transmit still in progress.
kStatus_LPUART_RxBusy | LPUART receive still in progress.
kStatus_LPUART_NoTransmitInProgress | LPUART no transmit in progress.
kStatus_LPUART_NoReceiveInProgress | LPUART no receive in progress.
kStatus_LPUART_InvalidInstanceNumber | Invalid LPUART instance number.
kStatus_LPUART_InvalidBitSetting | Invalid setting for desired LPUART register bit field.
kStatus_LPUART_OverSamplingNotSupported | LPUART oversampling not supported.
kStatus_LPUART_BothEdgeNotSupported | LPUART both edge sampling not supported.
kStatus_LPUART_Timeout | LPUART transfer timed out.

enum lpuart_stop_bit_count_t

Enumerator
kLpuartOneStopBit | one stop bit
kLpuartTwoStopBit | two stop bits

enum lpuart_parity_mode_t

Enumerator
kLpuartParityDisabled | parity disabled
kLpuartParityEven | parity enabled, type even, bit setting: PE|PT = 10
kLpuartParityOdd | parity enabled, type odd, bit setting: PE|PT = 11

enum lpuart_bit_count_per_char_t

Enumerator
kLpuart8BitsPerChar | 8-bit data characters
kLpuart9BitsPerChar | 9-bit data characters
kLpuart10BitsPerChar | 10-bit data characters